Bug 72910 - I18N - UML non-Latin1 characters
I18N - UML non-Latin1 characters
Status: VERIFIED FIXED
Product: uml
Classification: Unclassified
Component: General Diagram
5.x
PC Linux
: P1 (vote)
: TBD
Assigned To: Viktor Lapitski
issues@uml
EXT-USER
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-22 08:22 UTC by kovica
Modified: 2007-02-15 14:21 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kovica 2006-02-22 08:22:30 UTC
I installed the NB 5.5 preview on Linux with java 1.5.0_06.

Steps:
- create an UML project
- drop a Class on the diagram
- double click the Class to enter it's name
- when we try to enter some non-Latin1 characters is seems like the Enter key
was pressed
Comment 1 treys 2006-02-24 16:34:55 UTC
Can you give a little more details.  What are the non-Latin characters that you
are trying to use?  What local are you using?
Comment 2 kovica 2006-02-24 20:37:24 UTC
I'm using sl_SI.
Actual characher = UNICODE representation
đ = \u0111
š = \u0161
ž = \u017E
ć = \u0107
č = \u010D
Đ = \u0110
Š = \u0160
Ž = \u017D
Ć = \u0106
Č = \u010C
Comment 3 Ken Frank 2006-03-09 19:54:42 UTC
may be same/similar to known such issue on uml in which multibyte
cannot always be entered and committed using standard input tools.

ken.frank@sun.com
Comment 4 kovica 2006-08-28 09:44:50 UTC
This still happens on NB 5.5 beta2. 
If I change the name through Properties then it works, but not when I double
click the Class and change it there.
Comment 5 Ken Frank 2006-09-06 20:55:28 UTC
see also 78353, 78358, 77336
Comment 6 Trey Spiva 2006-11-16 18:33:24 UTC
Reproducable in Java Studio Enterprise 8.
Comment 7 Viktor Lapitski 2007-01-30 16:49:48 UTC
Fixed in release55 branch
Comment 8 Andrew Korostelev 2007-02-15 14:21:14 UTC
verified in all-nbms-griffin-070213_1
I have no issues with pasting or typing non-latin caracters


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo